[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#548073: installation of otrs2 breaks apache configuration

Package: otrs2
Version: 2.2.7-2lenny1
Severity: serious
Justification: Policy 10.7.3

Installation of otrs2 package breaks apache2 configuration from the
following reasongs:

- otrs2 creates /etc/apache2/conf.d/otrs2 
  This configure options for ALL virtualhosts on the server. Location od
  otrs2 apache config should be /etc/apache2/sites-available/otrs2 and
  admin should enable them manually.

- Directive MaxRequestsPerChild 400 should be removed from config file

- All setting should be placed into <VirtualHost *> </VirtualHost>

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=sk_SK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages otrs2 depends on:
ii  adduser                  3.110           add and remove users and groups
ii  apache2                  2.2.9-10+lenny2 Apache HTTP Server metapackage
ii  apache2-mpm-prefork [htt 2.2.9-10+lenny2 Apache HTTP Server - traditional n
ii  dbconfig-common          1.8.39          common framework for packaging dat
ii  debconf                  1.5.24          Debian configuration management sy
ii  libauthen-sasl-perl      2.12-1          Authen::SASL - SASL Authentication
ii  libcrypt-passwdmd5-perl  1.3-9           interoperable MD5-based crypt() fo
ii  libdate-pcalc-perl       1.2-3           Perl module for Gregorian calendar
ii  libdbi-perl              1.605-1         Perl5 database interface by Tim Bu
ii  libemail-valid-perl      0.179-2         Check validity of Internet email a
ii  libio-stringy-perl       2.110-4         Perl modules for IO from scalars a
ii  libmailtools-perl        2.03-1          Manipulate email in perl programs
ii  libmime-perl             5.427-1         transitional dummy package
ii  libmime-tools-perl [libm 5.427-1         Perl5 modules for MIME-compliant m
ii  libtext-diff-perl        0.35-3          Perform diffs on files and record 
ii  libxml-parser-perl       2.36-1.1+b1     Perl module for parsing XML files
ii  lighttpd [httpd-cgi]     1.4.19-5        A fast webserver with minimal memo
ii  perl                     5.10.0-19lenny2 Larry Wall's Practical Extraction 
ii  ucf                      3.0016          Update Configuration File: preserv

Versions of packages otrs2 recommends:
ii  aspell                 0.60.6-1          GNU Aspell spell-checker
ii  ispell             International Ispell (an interacti
ii  libapache2-mod-perl2   2.0.4-5           Integration of perl with the Apach
ii  libdbd-mysql-perl      4.007-1           A Perl5 database interface to the 
ii  libdbd-pg-perl         2.8.7-1           Perl DBI driver for the PostgreSQL
ii  libgd-graph-perl       1.44-3            Graph Plotting Module for Perl 5
ii  libgd-text-perl        0.86-5            Text utilities for use with GD
ii  mysql-server           5.0.51a-24+lenny2 MySQL database server (metapackage
ii  mysql-server-5.0 [mysq 5.0.51a-24+lenny2 MySQL database server binaries
ii  procmail               3.22-16           Versatile e-mail processor

Versions of packages otrs2 suggests:
ii  libnet-ldap-perl              1:0.36-1   A Client interface to LDAP servers
pn  otrs2-doc-en | otrs2-doc-de   <none>     (no description available)

-- debconf information:
  otrs2/remove-error: abort
  otrs2/pgsql/method: unix socket
  otrs2/pgsql/authmethod-admin: ident
  otrs2/pgsql/changeconf: false
  otrs2/pgsql/authmethod-user: ident
  otrs2/internal/skip-preseed: false
* otrs2/db/dbname: <protected_for_security_reason>
  otrs2/upgrade-error: abort
* otrs2/remote/newhost: <protected_for_security_reason>
  otrs2/internal/reconfiguring: false
  otrs2/purge: false
  otrs2/database-type: mysql
* otrs2/remote/host: <protected_for_security_reason>
  otrs2/missing-db-package-error: abort
* otrs2/mysql/admin-user: root
  otrs2/install-error: retry
* otrs2/db/app-user: <protected_for_security_reason>
* otrs2/resetdbuser: false
* otrs2/remote/port: <protected_for_security_reason>
  otrs2/upgrade-backup: true
  otrs2/pgsql/admin-user: postgres
  otrs2/dbconfig-reinstall: false
* otrs2/dbconfig-install: true
* otrs2/mysql/method: tcp/ip
  otrs2/dbconfig-upgrade: true

Reply to: